Package com.ocient.jdbc.proto

## Class PlanProtocol.JoinCols.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.JoinCols.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.JoinColsOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.JoinCols

    public static final class PlanProtocol.JoinCols.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>
    implements PlanProtocol.JoinColsOrBuilder

Protobuf type `xg.db.sqlPlans.JoinCols`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.JoinCols.Builder` `addAllCol​(Iterable<String> values)` `repeated string col = 1;`
`PlanProtocol.JoinCols.Builder` `addCol​(String value)` `repeated string col = 1;`
`PlanProtocol.JoinCols.Builder` `addColBytes​(com.google.protobuf.ByteString value)` `repeated string col = 1;`
`PlanProtocol.JoinCols.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.JoinCols` `build()`
`PlanProtocol.JoinCols` `buildPartial()`
`PlanProtocol.JoinCols.Builder` `clear()`
`PlanProtocol.JoinCols.Builder` `clearCol()` `repeated string col = 1;`
`PlanProtocol.JoinCols.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.JoinCols.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.JoinCols.Builder` `clone()`
`String` `getCol​(int index)` `repeated string col = 1;`
`com.google.protobuf.ByteString` `getColBytes​(int index)` `repeated string col = 1;`
`int` `getColCount()` `repeated string col = 1;`
`com.google.protobuf.ProtocolStringList` `getColList()` `repeated string col = 1;`
`PlanProtocol.JoinCols` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.JoinCols.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.JoinCols.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.JoinCols.Builder` `mergeFrom​(PlanProtocol.JoinCols other)`
`PlanProtocol.JoinCols.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.JoinCols.Builder` `setCol​(int index, String value)` `repeated string col = 1;`
`PlanProtocol.JoinCols.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.JoinCols.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.JoinCols.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### clear

    public PlanProtocol.JoinCols.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.JoinCols getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.JoinCols build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.JoinCols buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.JoinCols.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### setField

    public PlanProtocol.JoinCols.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                  Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### clearField

    public PlanProtocol.JoinCols.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### clearOneof

    public PlanProtocol.JoinCols.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### setRepeatedField

    public PlanProtocol.JoinCols.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          int index,
                                                          Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### addRepeatedField

    public PlanProtocol.JoinCols.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### mergeFrom

    public PlanProtocol.JoinCols.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.JoinCols.Builder>`

#### mergeFrom

    public PlanProtocol.JoinCols.Builder mergeFrom​(PlanProtocol.JoinCols other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### mergeFrom

    public PlanProtocol.JoinCols.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                            throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.JoinCols.Builder>`
Throws:
  `IOException`

#### getColList

    public com.google.protobuf.ProtocolStringList getColList()

`repeated string col = 1;`

Specified by:
  `getColList` in interface `PlanProtocol.JoinColsOrBuilder`
Returns:
  A list containing the col.

#### getColCount

    public int getColCount()

`repeated string col = 1;`

Specified by:
  `getColCount` in interface `PlanProtocol.JoinColsOrBuilder`
Returns:
  The count of col.

#### getCol

    public String getCol​(int index)

`repeated string col = 1;`

Specified by:
  `getCol` in interface `PlanProtocol.JoinColsOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The col at the given index.

#### getColBytes

    public com.google.protobuf.ByteString getColBytes​(int index)

`repeated string col = 1;`

Specified by:
  `getColBytes` in interface `PlanProtocol.JoinColsOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the col at the given index.

#### setCol

    public PlanProtocol.JoinCols.Builder setCol​(int index,
                                                String value)

`repeated string col = 1;`

Parameters:
  `index` - The index to set the value at.
  `value` - The col to set.
Returns:
  This builder for chaining.

#### addCol

    public PlanProtocol.JoinCols.Builder addCol​(String value)

`repeated string col = 1;`

Parameters:
  `value` - The col to add.
Returns:
  This builder for chaining.

#### addAllCol

    public PlanProtocol.JoinCols.Builder addAllCol​(Iterable<String> values)

`repeated string col = 1;`

Parameters:
  `values` - The col to add.
Returns:
  This builder for chaining.

#### clearCol

    public PlanProtocol.JoinCols.Builder clearCol()

`repeated string col = 1;`

Returns:
  This builder for chaining.

#### addColBytes

    public PlanProtocol.JoinCols.Builder addColBytes​(com.google.protobuf.ByteString value)

`repeated string col = 1;`

Parameters:
  `value` - The bytes of the col to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.JoinCols.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.JoinCols.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.JoinCols.Builder>`